Name:           perl-Class-ParamParser
Version:        1.041
Release:        2%{?dist}
Summary:        Provides complex parameter list parsing
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-ParamParser/
Source0:        http://www.cpan.org/authors/id/D/DU/DUNCAND/Class-ParamParser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This Perl 5 object class implements two methods which inherited classes can
use to tidy up parameter lists for their own methods and functions. The two
methods differ in that one returns a HASH ref containing named parameters
and the other returns an ARRAY ref containing positional parameters.

%prep
%setup -q -n Class-ParamParser-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog ReadMe
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Mar 23 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.041-2.sme
- rebuild for Provides

* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Mar 17 2016 Daniel Berteaud <daniel@firewall-services.com> 1.041-1
- First build using cpanspec [SME: 9324]
